<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

/**********************************************************************/
/* Diverses fonctions pour les listes statistiques affichées dans SMI */
/**********************************************************************/

// Création des titres (th) des listes écrans statistiques

function titlst($tableau)
{
	foreach ($tableau as $nom_col => $code_champ)
	{
		echo "<th>";
		echo ucfirst("$nom_col");
		echo "</th>\n";
	}
}

// Création des lignes TR des listes écrans
// avec effet au passage de la souris

function creetrlst($index)
{
		// Couleurs alternées
		if($index%2 == 0)  
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
		else
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
}

// Retour Page Précédente si liste vide

function retpp()
{
	global
		$txt_lnk_ret_pp;
	 echo "<span class=\"annot_std__gras\">Aucun enregistrement trouvé</span><br>";
	 echo "<br>";
	 echo "<a href=\"javascript:history.back();\">";
	 echo "<img src=\"../img/prec.png\" border=\"0\" align=\"absmiddle\">";
	 echo "<< ".$txt_lnk_ret_pp;
	 echo "</a>";
}

/*********************************************************/
/* Diverses fonctions pour les listes imprimées dans SMI */
/*********************************************************/

//	Entête des impressions des listes

function entimplst($titre)
{
	echo "<p align=\"center\"><span class=\"titre_impression\">$titre</span></p>";
	echo "<span class=\"annot_petit_it\">";
	echo "Imprimée le : ";
	echo "</span>";
	echo "<span class=\"annot_gras_it\">";
	echo date("d-m-Y H:i:s")."<br>";
	echo "</span>";
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		echo "<span class=\"annot_petit_it\">";
		echo "Filtrée sur : ";
		echo "</span>";
		echo "<span class=\"annot_gras_it\">";
		echo $_GET['search'];
		echo "</span>";
		echo "<span class=\"annot_petit_it\">";
		echo ". ";
		echo "</span>";
	}
	if( isset($_GET['tri']) && !empty($_GET['tri']))  
	{
		echo "<span class=\"annot_petit_it\">";
		echo "Triée par : ";
		echo "</span>";
		echo "<span class=\"annot_gras_it\">";
		echo $_GET['tri'];
		echo "</span>";
		echo "<span class=\"annot_petit_it\">";
		if ((@$_GET['ord'] == "ASC") OR (@$_GET['ord'] == ""))
		{
			echo " (";
			echo "</span>";
			echo "<span class=\"annot_gras_it\">";
			echo "Ascendant";
			echo "</span>";
			echo "<span class=\"annot_petit_it\">";
			echo ").";
		}
		else
		{
			echo " (";
			echo "</span>";
			echo "<span class=\"annot_gras_it\">";
			echo "Descendant";
			echo "</span>";
			echo "<span class=\"annot_petit_it\">";
			echo ").";
		}
		echo "</span>";
	}
	if ((@$_GET['search'] <> "") OR (@$_GET['ord'] <> ""))
	{
		echo "<br>";
	}
}

// Création des titres (th) des listes ou fiches imprimées

function titimplst($tableau)
{
	foreach ($tableau as $nom_col => $code_champ)
	{
		echo "<th>";
		echo ucfirst("$nom_col");
		echo "</th>\n";
	}
}

/***************************************************************/
/* Diverses fonctions pour les traitements des listes dans SMI */
/***************************************************************/

/** fonction de création de la chaîne de recherche  permettant d'obtenir le nombre de clients créés par les opérateurs **/

function crestr_ope_cli_stat($code,$date1,$date2)
{
	$rech = "SELECT ".TBOPE.".ope_code, ";
	$rech.= TBCLI.".cli_datecrea, ".TBCLI.".cli_codecrea ";
	$rech.= "FROM ".TBOPE.", ".TBCLI;
  
	$rech .= " WHERE ".TBOPE.".ope_code=".TBCLI.".cli_codecrea";
	if ($code <> "*")
	{
		$rech .= " AND ".TBOPE.".ope_code='".$code."'";
	}
	$rech .= " AND ".TBCLI.".cli_datecrea>='".$date1."' AND ".TBCLI.".cli_datecrea<='".$date2."'";

	return $rech;
}

/** fonction de création de la chaîne de recherche  permettant d'obtenir le nombre de clients total créés sur une période **/

function crestr_xxx_cli_stat($date1,$date2)
{
	$rech = "SELECT ".TBOPE.".ope_code, ";
	$rech.= TBCLI.".cli_datecrea, ".TBCLI.".cli_codecrea ";
	$rech.= "FROM ".TBOPE.", ".TBCLI;
  
	$rech .= " WHERE ".TBCLI.".cli_datecrea>='".$date1."' AND ".TBCLI.".cli_datecrea<='".$date2."'";

	return $rech;
}

?> 
